* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: linear-gradient(170deg, #f9f9f9, #d1dce9);
  color: #333;
  line-height: 1.6;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  font-family: 'Crimson Text', serif;
  
}

.container {
  max-width: 900px;
  margin: 0 auto;
  padding: 20px;
}

.site-name {
  text-align: center;
  font-family: 'Crimson Text', serif;
  font-size: 3rem;
  font-weight: 300;
  font-variant: small-caps;
  background-color: #000;
  color: #fff;
  padding: 40px 0;
  margin: 0;
  text-shadow: 1px 2px 3px #a7a7a7; 
}

nav {
  background-color: #000000;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  display: flex;
  justify-content: left;
}

nav ul {
  list-style-type: none;
  display: flex;
  margin: 0;
  padding: 0;
}

nav ul li {
  margin: 0;
}

nav ul li a {
  color: rgb(255, 255, 255);
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 70px;
  line-height: 70px;
  padding: 0 50px;
  border-radius: 0;
  transition: background-color 0.2s, transform 0.1s;
}

nav ul li a:hover {
  background-color: #a7a7a7;
  color: #f9f9f9;
  font-size: 1.2rem;
}

nav ul li a:active {
  background-color: #515151;
  transform: scale(0.95);
}

nav ul li a.current {
  background-color: #f9f9f9;
  color: #000000;
  font-size: 1.2rem;
  font-weight: bold;
}





h1, h2, h3, h4, h5, h6, p {
  font-family: 'Crimson Text', serif;
}

h1 {
  font-size: 2rem;
  font-weight: bold;
  text-align: center;
  margin-top: 30px;
  margin-bottom: 30px;
  position: relative; 
  text-decoration: underline;
  text-decoration-color: #515151;
  text-decoration-thickness: 2px;
  text-underline-offset: 4px;
}


h2 {
  font-size: 1.5rem;
  font-weight: bold;
  margin-top: 30px;
  margin-bottom: 15px;
}


p {
  font-size: 1.2rem;
  margin-bottom: 20px;
  line-height: 1.6;
  text-align: justify;
}


ul, ol {
  margin-bottom: 20px;
  padding-left: 30px;
}

li {
  margin-bottom: 10px;
}

img {
  display: block;
  max-width: 60%;
  margin: 40px auto;
  margin-bottom: 40px;
  border-radius: 10px;
}






.page-button.right {
  display: flex;
  justify-content: flex-end;
  margin-top: 70px;
}

.page-button.left {
  display: flex;
  justify-content: flex-start;
  margin-top: 70px;
}

.page-buttons {
  display: flex;
  justify-content: space-between;
  margin-top: 70px;
}

.button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: #000000;
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 10px;
  font-size: 1rem;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  letter-spacing: 0.5px;
  height: 50px;
  min-width: 140px;
  transition: background-color 0.2s, transform 0.1s;
}

.button:hover {
  background-color: #a7a7a7;
  transform: scale(1.05);
}

.button:active {
  background-color: #515151;
  transform: scale(0.95);
}







footer {
  margin-top: 50px;
  padding: 15px 0;
  text-align: center;
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  font-style: italic;
  background-color: #000000;
  color: white;
  font-size: 0.7rem;
}


